width=5.5;
diameter=1.0;
height=18;
bend_radius=2;

intersection() {
    rotate_extrude($fn=50)
        translate([bend_radius, 0, 0]) circle(d = diameter, $fn=50);
    translate([0, 0, -2]) cube([8, 8, 4]);
}

translate([-height, bend_radius, 0]) rotate([0, 90, 0]) cylinder(d = diameter, h = height, $fn=50);

translate([bend_radius, 0, 0]) rotate([90, 0, 0]) cylinder(d = diameter, h = width - diameter, $fn=50);

translate([-0.5, bend_radius, 0])
rotate([0, 90, 0]) cylinder(d = diameter + 0.6, h = 0.5, $fn=50);

